> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Tag Name

> Updates tag name by tag uid.




## OpenAPI

````yaml /tagging-openapi.yaml put /v1.0/organizations/{orgUid}/tags/{tagUid}
openapi: 3.0.3
info:
  title: Tagging
  description: RESTful API for tagging assets and other entities.
  version: 0.1.0
  contact:
    name: Synack Engineering
    email: engineering@synack.com
servers:
  - url: https://client.synack.com/api/tagging
    description: Commercial
  - url: https://client.synack.us/api/tagging
    description: FedRAMP (Medium)
security: []
tags:
  - name: status
    description: Various ping and health endpoints
  - name: Tags
    description: Tagging operations
paths:
  /v1.0/organizations/{orgUid}/tags/{tagUid}:
    parameters:
      - $ref: '#/components/parameters/OrganizationUIDPath'
      - $ref: '#/components/parameters/TagUIDPath'
    put:
      tags:
        - Tags
      description: |
        Updates tag name by tag uid.
      operationId: putTags
      requestBody:
        description: Update tag's name
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateTag'
      responses:
        '204':
          $ref: '#/components/responses/204NoContent'
        '400':
          $ref: '#/components/responses/400BadRequest'
        '401':
          $ref: '#/components/responses/401Unauthorized'
        '403':
          $ref: '#/components/responses/403Forbidden'
        '404':
          $ref: '#/components/responses/404NotFound'
        '409':
          $ref: '#/components/responses/409Conflict'
        '412':
          $ref: '#/components/responses/412PreconditionFailed'
        '422':
          $ref: '#/components/responses/422EntityNotProcessable'
        '500':
          $ref: '#/components/responses/500InternalServerError'
        '503':
          $ref: '#/components/responses/503ServiceUnavailable'
      security:
        - OAuth2:
            - tag_gw
            - tag_ow
            - asset_gw
            - asset_boss_ow
            - asset_client_ow
components:
  parameters:
    OrganizationUIDPath:
      name: orgUid
      in: path
      schema:
        $ref: '#/components/schemas/OrgUID'
      required: true
      description: Unique identifier for an organization group.
    TagUIDPath:
      name: tagUid
      in: path
      schema:
        $ref: '#/components/schemas/TagUID'
      required: true
      description: Unique identifier for a tag.
  schemas:
    UpdateTag:
      type: object
      required:
        - name
      properties:
        name:
          $ref: '#/components/schemas/TagName'
    OrgUID:
      type: string
      pattern: ^[0-9a-z]{1,50}
      description: Unique identifier for an organization.
    TagUID:
      type: string
      pattern: ^[0-9a-f]{12}
      description: Unique identifier for a tag.
    TagName:
      type: string
      description: User-supplied name for this tag.
    ErrorResponse:
      type: object
      description: Error response
      properties:
        id:
          type: string
          readOnly: true
          description: X-Request-Id
        error:
          type: string
          description: Message detailing the problem.
          readOnly: true
    ProblemDetails:
      type: object
      description: >-
        See [RFC 7807: Problem Details for HTTP
        APIs](https://tools.ietf.org/html/rfc7807)
      properties:
        type:
          type: string
          readOnly: true
        title:
          type: string
          readOnly: true
        status:
          type: integer
          format: int32
          minimum: 100
          maximum: 511
          description: HTTP Status code.
          readOnly: true
        detail:
          type: string
          description: Message detailing the problem.
          readOnly: true
        instance:
          type: string
          description: generated problem instance number to correlate with logs
          readOnly: true
        failedValidation:
          type: array
          description: Array of failed validation rules.
          readOnly: true
          items:
            $ref: '#/components/schemas/FailedValidation'
        failedValidations:
          type: array
          description: Array of indexed failed validation rules.
          readOnly: true
          items:
            $ref: '#/components/schemas/IndexedFailedValidations'
        maxBatchSize:
          type: integer
          description: Maximum processable batch size.
          readOnly: true
        batchSize:
          type: integer
          description: Batch size sent when batch is too large.
          readOnly: true
    FailedValidation:
      type: object
      required:
        - message
      properties:
        property:
          type: string
          readOnly: true
        value:
          type: string
          readOnly: true
        message:
          type: string
          readOnly: true
    IndexedFailedValidations:
      type: object
      properties:
        index:
          type: integer
          description: >-
            Zero-based index indicating the which item in request containing an
            array of items has failed validation.
          readOnly: true
        failedValidation:
          type: array
          description: Array of failed validation rules.
          readOnly: true
          items:
            $ref: '#/components/schemas/FailedValidation'
  responses:
    204NoContent:
      description: No content.
    400BadRequest:
      description: Bad Request
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    401Unauthorized:
      description: Unauthorized.
    403Forbidden:
      description: Forbidden
    404NotFound:
      description: Not found.
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    409Conflict:
      description: Conflict.
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/ProblemDetails'
    412PreconditionFailed:
      description: Precondition Failed.
    422EntityNotProcessable:
      description: Entity Not Processable
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/ProblemDetails'
    500InternalServerError:
      description: Internal Server Error.
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/ProblemDetails'
    503ServiceUnavailable:
      description: Service Unavailable.
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/ProblemDetails'
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: login.synack.com
          scopes:
            tag_or: Grants organization-level to read tags.
            tag_ow: Grants organization-level to create or modify tags.
            tag_gr: Grants global-level to read tags.
            tag_gw: Grants global-level to create or modify tags.

````